# 1. Profile List

### <mark style="background-color:yellow;">**Get User's Profile List**</mark>

```
GET http://127.0.0.1:12368/profiles
```

###

### <mark style="background-color:yellow;">Examples</mark>

* Curl example

```
curl http://127.0.0.1:12368/profiles
```

* Javascript example

```
const hidemyacc = new Hidemyacc();
const user = await hidemyacc.profiles();
```

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

| Name | Type       | Description           |
| ---- | ---------- | --------------------- |
| data | `Object[]` | profiles List of user |

###

### <mark style="background-color:yellow;">**Success response example**</mark>

**Success response example - `Success-Example`**

```
    HTTP/1.1 200 OK
 {
    "code": 1,
    "data":
    [
        {
            "id": "615d0c642a151505fe6a3a1a",
            "name": "Eleanore Paysinger",
            "notes": "",
            "browserType": "chrome",
            "os": "mac",
            "platform": "MacIntel",
            "proxy":
            {
                "autoProxyPassword": "",
                "autoProxyRegion": "us",
                "autoProxyServer": "",
                "autoProxyUsername": "",
                "host": "",
                "mode": "none",
                "password": "",
                "port": null,
                "proxyEnabled": false,
                "torProxyRegion": "us",
                "username": ""
            },
            "role": "owner",
            "createdAt": "2021-10-06T02:39:32.840Z",
            "updatedAt": "2021-10-06T03:10:10.060Z"
        },
        {
            "id": "615d066a2a151505fe6a24ad",
            "name": "Antonetta Blan",
            "notes": "",
            "browserType": "chrome",
            "os": "mac",
            "platform": "MacIntel",
            "proxy":
            {
                "autoProxyPassword": "",
                "autoProxyRegion": "us",
                "autoProxyServer": "",
                "autoProxyUsername": "",
                "host": "",
                "mode": "none",
                "password": "",
                "port": null,
                "proxyEnabled": false,
                "torProxyRegion": "us",
                "username": ""
            },
            "role": "owner",
            "createdAt": "2021-10-06T02:14:02.691Z",
            "updatedAt": "2021-10-06T02:14:02.691Z"
        }
    ]
}
```

###

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

<br>

| Name | Type | Description             |
| ---- | ---- | ----------------------- |
| 401  |      | Not logged into account |

###

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
HTTP/1.1 401 Not Authenticated
{
  "code": 0,
  "message": "Unauthorized",
  "data": {}
}
```
